summaryrefslogtreecommitdiff
path: root/.local/bin/uwushot
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/uwushot')
-rwxr-xr-x.local/bin/uwushot9
1 files changed, 6 insertions, 3 deletions
diff --git a/.local/bin/uwushot b/.local/bin/uwushot
index cc99316..59aed24 100755
--- a/.local/bin/uwushot
+++ b/.local/bin/uwushot
@@ -1,5 +1,8 @@
#!/usr/bin/env bash
-set -euo pipefail
-filename="~/Pictures/Screenshots/satty-$(date '+%Y%m%d-%H:%M:%S').png"
-grim -g "$(slurp -o -r -c '#ff0000ff')" -t ppm - | satty --filename - --disable-notifications --corner-roundness 12 --output-filename "$filename"
+set -euxo pipefail
+DATE=$(date '+%Y%m%d-%H:%M:%S')
+path="$HOME/Pictures/Screenshots/"
+filename="satty-$DATE.png"
+grim -g "$(slurp -o -r -c '#ff0000ff')" -t ppm - | satty --actions-on-right-click=save-to-file --filename - --disable-notifications --corner-roundness 12 --output-filename "$path$filename"
+cd "$path"
uwuload "$filename"